Bug 65658 - qla2300 module included in 2.4.18-3 does not work properly on 2300 HBAs
qla2300 module included in 2.4.18-3 does not work properly on 2300 HBAs
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 12:31 EDT by Jure Pecar
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 14:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jure Pecar 2002-05-29 12:31:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
I have a DJ4000 IBM disk storage array, which talks 2gbit fc with Qlogic. When i
load the qla2300 module, it loads, but the yellow led on the HBA starts flashing
(means HBA lost synchronisation).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a 2gbit fc device, such as IBM's DJ4000
2. connect it to qlogic 2300
3. modprobe qla2300

Actual Results:  The driver loaded, but didnt detect any disks.

Expected Results:  Well, it should offer me the disks to work with :)

Additional info:

I've played with latest version from qlogic site, 5.36, and it indeed works as
expected. So it would be nice to include it in your next errata kernel,
including all your multipath patches. Since this is not likely to happen till
next weekend, i'll try to do that myself too.

Also, i've played with your 2.4.9-e.3 kernel from RedHat Advanced server and am
prepairing a patch that adds jfs, xfs and evms to it. Now it seems that i'll
have to include newest qlogic driver too, because isp_mod from ferral oopses
within seconds of activity (modprobe and raidstart is enough to get a scsi error).
Comment 1 Arjan van de Ven 2003-06-07 14:33:53 EDT
current erratum contains an updated driver

Note You need to log in before you can comment on or make changes to this bug.